from django_filters import rest_framework as filters
from django.utils import timezone
from .models import LabelTemplate
from apps.utils.filters import MyJsonListFilter

class LabelTemplateFilter(filters.FilterSet):
    process = MyJsonListFilter(label='按工序查询', field_name="process_json")

    class Meta:
        model = LabelTemplate
        fields = ['process', "name"]